Bug 250626 - sysutils/ansible: Update to version 2.10.2
Summary: sysutils/ansible: Update to version 2.10.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on: 250622
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-26 07:32 UTC by Samy Mahmoudi
Modified: 2021-05-12 19:07 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
Patch file (4.47 KB, patch)
2020-10-26 07:32 UTC, Samy Mahmoudi
no flags Details | Diff
Patch file (4.48 KB, patch)
2020-10-26 07:42 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2020-10-26 07:32:34 UTC
Created attachment 219093 [details]
Patch file

Hi,

• Update version to 2.10.2
• Change MASTER_SITES to take into account upstream changes [1]
• Add DISTVERSIONPREFIX 'base-' to take into account upstream changes [1]
• Make the CONFLICTS declaration also effective with flavored ports
• Reorder variables as prescribed by the FreeBSD Porter's Handbook [2]
• Temporarily disable the do-test target (it does not work, even on 2.9.7)

[1] https://github.com/ansible/ansible/pull/71891/files 
[2] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-order.html
Comment 1 Samy Mahmoudi 2020-10-26 07:40:33 UTC
Poudriere log:
http://logs.imp.ovh/py37-ansible-2.10.2.log
Comment 2 Samy Mahmoudi 2020-10-26 07:42:55 UTC
Created attachment 219094 [details]
Patch file
Comment 3 Einar Bjarni Halldórsson 2020-11-24 15:08:25 UTC
Anything stopping this? We're being hit by this https://github.com/ansible/ansible/issues/69065 bug in 2.9.7.
Comment 4 Greg Fitzgerald 2021-03-19 00:25:18 UTC
Also having issues with 2.9.7, any word on this?
Comment 5 Rene Ladan freebsd_committer 2021-05-04 16:14:54 UTC
Maintainer reset.
Comment 6 Mateusz Piotrowski freebsd_committer 2021-05-06 12:07:03 UTC
Hi there! Thanks for the patches. We may need to update them slightly considering recent changes committed to the ansible port.

Is there a reason why we should make the sysutils/ansible port install ansible-base (and ansible-core in the future) instead of Ansible community package (which is at 3.3.0 now)?
Comment 7 Mateusz Piotrowski freebsd_committer 2021-05-12 19:07:07 UTC
I've taken the approach of other package managers and sysutils/ansible is the Ansible base/core + community packages.